Get last error message

- « Transliterator::getErrorCode

- Transliterator::listIDs »

- PHP Manual
- Transliterator
- Get last error message

# Transliterator::getErrorMessage

# transliterator_get_error_message

(PHP 5 >= 5.4.0, PHP 7, PHP 8, PECL intl >= 2.0.0)

Transliterator::getErrorMessage -- transliterator_get_error_message — Get last error message

### Description

Object-oriented style

public Transliterator::getErrorMessage(): string|false

Procedural style

transliterator_get_error_message(Transliterator `$transliterator`): string|false

Gets the last error message for this transliterator.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`transliterator`

### Return Values

The error message on success, or `false` if none exists, or on failure.

### See Also

- Transliterator::getErrorCode() - Get last error code
- Transliterator::listIDs() - Get transliterator IDs